Get
curl --request GET \
--url https://api.paygentic.io/v0/subscriptionProposals/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.paygentic.io/v0/subscriptionProposals/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paygentic.io/v0/subscriptionProposals/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.paygentic.io/v0/subscriptionProposals/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.paygentic.io/v0/subscriptionProposals/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.paygentic.io/v0/subscriptionProposals/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.paygentic.io/v0/subscriptionProposals/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"object": "subscriptionProposal",
"merchantId": "<string>",
"status": "pending",
"customerId": "<string>",
"planId": "<string>",
"planVersionId": "<string>",
"resolvedPlanVersionId": "<string>",
"hash": "<string>",
"testClockId": "<string>",
"requested": {
"customerId": "<string>",
"name": "<string>",
"planId": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"autoCharge": true,
"taxExempt": true,
"endingAt": "2023-11-07T05:31:56Z",
"prefundAmount": "<string>",
"minimumAccountBalance": "<string>",
"redirectUrls": {
"onSuccess": "<string>",
"onFailure": "<string>"
},
"elapsedPeriodBilling": "none",
"billingAnchor": "2023-11-07T05:31:56Z",
"testClockId": "<string>",
"renewalReminderEnabled": true,
"renewalReminderDays": 15,
"paymentTermDays": 182,
"sessionExpiryMinutes": 2,
"versionPolicy": "floating",
"metadata": {},
"changeReason": "commercial",
"changeDescription": "<string>",
"changeMetadata": {},
"addPrices": [
{
"priceId": "<string>",
"unitPrice": "<string>",
"baseQuantity": "<string>",
"total": "<string>",
"installments": 31,
"amounts": [
"<string>"
]
}
],
"overridePrices": [
{
"overridesPriceId": "<string>",
"unitPrice": "<string>",
"baseQuantity": "<string>"
}
],
"removePrices": [
{
"priceId": "<string>"
}
],
"planVersionId": "<string>",
"adjustments": [
{
"type": "percentageDiscount",
"percentageDiscount": "<string>",
"effectiveFrom": "2023-11-07T05:31:56Z",
"effectiveTo": "2023-11-07T05:31:56Z",
"description": "<string>",
"idempotencyKey": "adj_fy26_growth_001"
}
]
},
"current": {
"customerId": "<string>",
"name": "<string>",
"planId": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"autoCharge": true,
"taxExempt": true,
"endingAt": "2023-11-07T05:31:56Z",
"prefundAmount": "<string>",
"minimumAccountBalance": "<string>",
"redirectUrls": {
"onSuccess": "<string>",
"onFailure": "<string>"
},
"elapsedPeriodBilling": "none",
"billingAnchor": "2023-11-07T05:31:56Z",
"testClockId": "<string>",
"renewalReminderEnabled": true,
"renewalReminderDays": 15,
"paymentTermDays": 182,
"sessionExpiryMinutes": 2,
"versionPolicy": "floating",
"metadata": {},
"changeReason": "commercial",
"changeDescription": "<string>",
"changeMetadata": {},
"addPrices": [
{
"priceId": "<string>",
"unitPrice": "<string>",
"baseQuantity": "<string>",
"total": "<string>",
"installments": 31,
"amounts": [
"<string>"
]
}
],
"overridePrices": [
{
"overridesPriceId": "<string>",
"unitPrice": "<string>",
"baseQuantity": "<string>"
}
],
"removePrices": [
{
"priceId": "<string>"
}
],
"planVersionId": "<string>",
"adjustments": [
{
"type": "percentageDiscount",
"percentageDiscount": "<string>",
"effectiveFrom": "2023-11-07T05:31:56Z",
"effectiveTo": "2023-11-07T05:31:56Z",
"description": "<string>",
"idempotencyKey": "adj_fy26_growth_001"
}
]
},
"amendedFields": [
"<string>"
],
"refusedResync": {
"receivedAt": "2023-11-07T05:31:56Z",
"code": "SUBSCRIPTION_PROPOSAL_RESYNC_CONFLICT",
"fields": [
"<string>"
],
"values": {
"customerId": "<string>",
"name": "<string>",
"planId": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"autoCharge": true,
"taxExempt": true,
"endingAt": "2023-11-07T05:31:56Z",
"prefundAmount": "<string>",
"minimumAccountBalance": "<string>",
"redirectUrls": {
"onSuccess": "<string>",
"onFailure": "<string>"
},
"elapsedPeriodBilling": "none",
"billingAnchor": "2023-11-07T05:31:56Z",
"testClockId": "<string>",
"renewalReminderEnabled": true,
"renewalReminderDays": 15,
"paymentTermDays": 182,
"sessionExpiryMinutes": 2,
"versionPolicy": "floating",
"metadata": {},
"changeReason": "commercial",
"changeDescription": "<string>",
"changeMetadata": {},
"addPrices": [
{
"priceId": "<string>",
"unitPrice": "<string>",
"baseQuantity": "<string>",
"total": "<string>",
"installments": 31,
"amounts": [
"<string>"
]
}
],
"overridePrices": [
{
"overridesPriceId": "<string>",
"unitPrice": "<string>",
"baseQuantity": "<string>"
}
],
"removePrices": [
{
"priceId": "<string>"
}
],
"planVersionId": "<string>",
"adjustments": [
{
"type": "percentageDiscount",
"percentageDiscount": "<string>",
"effectiveFrom": "2023-11-07T05:31:56Z",
"effectiveTo": "2023-11-07T05:31:56Z",
"description": "<string>",
"idempotencyKey": "adj_fy26_growth_001"
}
]
},
"credentialId": "<string>"
},
"lockVersion": 123,
"source": "<string>",
"externalReference": {
"provider": "<string>",
"externalId": "<string>"
},
"subscriptionId": "<string>",
"rejectionReason": "price_mismatch",
"rejectionText": "<string>",
"decidedAt": "2023-11-07T05:31:56Z",
"decidedByPrincipalId": "<string>",
"decidedBy": {
"type": "user",
"name": "<string>"
},
"strandedAt": "2023-11-07T05:31:56Z",
"createdByPrincipalId": "<string>",
"createdByCredentialId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"revisions": [
{
"id": "<string>",
"version": 2,
"values": {
"customerId": "<string>",
"name": "<string>",
"planId": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"autoCharge": true,
"taxExempt": true,
"endingAt": "2023-11-07T05:31:56Z",
"prefundAmount": "<string>",
"minimumAccountBalance": "<string>",
"redirectUrls": {
"onSuccess": "<string>",
"onFailure": "<string>"
},
"elapsedPeriodBilling": "none",
"billingAnchor": "2023-11-07T05:31:56Z",
"testClockId": "<string>",
"renewalReminderEnabled": true,
"renewalReminderDays": 15,
"paymentTermDays": 182,
"sessionExpiryMinutes": 2,
"versionPolicy": "floating",
"metadata": {},
"changeReason": "commercial",
"changeDescription": "<string>",
"changeMetadata": {},
"addPrices": [
{
"priceId": "<string>",
"unitPrice": "<string>",
"baseQuantity": "<string>",
"total": "<string>",
"installments": 31,
"amounts": [
"<string>"
]
}
],
"overridePrices": [
{
"overridesPriceId": "<string>",
"unitPrice": "<string>",
"baseQuantity": "<string>"
}
],
"removePrices": [
{
"priceId": "<string>"
}
],
"planVersionId": "<string>",
"adjustments": [
{
"type": "percentageDiscount",
"percentageDiscount": "<string>",
"effectiveFrom": "2023-11-07T05:31:56Z",
"effectiveTo": "2023-11-07T05:31:56Z",
"description": "<string>",
"idempotencyKey": "adj_fy26_growth_001"
}
]
},
"createdAt": "2023-11-07T05:31:56Z",
"createdByCredentialId": "<string>"
}
]
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}Subscription Proposals
Get
Returns one subscription proposal. Pass expand=revisions to add each set of values its client sent, earliest first. A proposal of another merchant answers 404, as an unknown one does.
GET
/
v0
/
subscriptionProposals
/
{id}
Get
curl --request GET \
--url https://api.paygentic.io/v0/subscriptionProposals/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.paygentic.io/v0/subscriptionProposals/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paygentic.io/v0/subscriptionProposals/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.paygentic.io/v0/subscriptionProposals/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.paygentic.io/v0/subscriptionProposals/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.paygentic.io/v0/subscriptionProposals/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.paygentic.io/v0/subscriptionProposals/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"object": "subscriptionProposal",
"merchantId": "<string>",
"status": "pending",
"customerId": "<string>",
"planId": "<string>",
"planVersionId": "<string>",
"resolvedPlanVersionId": "<string>",
"hash": "<string>",
"testClockId": "<string>",
"requested": {
"customerId": "<string>",
"name": "<string>",
"planId": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"autoCharge": true,
"taxExempt": true,
"endingAt": "2023-11-07T05:31:56Z",
"prefundAmount": "<string>",
"minimumAccountBalance": "<string>",
"redirectUrls": {
"onSuccess": "<string>",
"onFailure": "<string>"
},
"elapsedPeriodBilling": "none",
"billingAnchor": "2023-11-07T05:31:56Z",
"testClockId": "<string>",
"renewalReminderEnabled": true,
"renewalReminderDays": 15,
"paymentTermDays": 182,
"sessionExpiryMinutes": 2,
"versionPolicy": "floating",
"metadata": {},
"changeReason": "commercial",
"changeDescription": "<string>",
"changeMetadata": {},
"addPrices": [
{
"priceId": "<string>",
"unitPrice": "<string>",
"baseQuantity": "<string>",
"total": "<string>",
"installments": 31,
"amounts": [
"<string>"
]
}
],
"overridePrices": [
{
"overridesPriceId": "<string>",
"unitPrice": "<string>",
"baseQuantity": "<string>"
}
],
"removePrices": [
{
"priceId": "<string>"
}
],
"planVersionId": "<string>",
"adjustments": [
{
"type": "percentageDiscount",
"percentageDiscount": "<string>",
"effectiveFrom": "2023-11-07T05:31:56Z",
"effectiveTo": "2023-11-07T05:31:56Z",
"description": "<string>",
"idempotencyKey": "adj_fy26_growth_001"
}
]
},
"current": {
"customerId": "<string>",
"name": "<string>",
"planId": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"autoCharge": true,
"taxExempt": true,
"endingAt": "2023-11-07T05:31:56Z",
"prefundAmount": "<string>",
"minimumAccountBalance": "<string>",
"redirectUrls": {
"onSuccess": "<string>",
"onFailure": "<string>"
},
"elapsedPeriodBilling": "none",
"billingAnchor": "2023-11-07T05:31:56Z",
"testClockId": "<string>",
"renewalReminderEnabled": true,
"renewalReminderDays": 15,
"paymentTermDays": 182,
"sessionExpiryMinutes": 2,
"versionPolicy": "floating",
"metadata": {},
"changeReason": "commercial",
"changeDescription": "<string>",
"changeMetadata": {},
"addPrices": [
{
"priceId": "<string>",
"unitPrice": "<string>",
"baseQuantity": "<string>",
"total": "<string>",
"installments": 31,
"amounts": [
"<string>"
]
}
],
"overridePrices": [
{
"overridesPriceId": "<string>",
"unitPrice": "<string>",
"baseQuantity": "<string>"
}
],
"removePrices": [
{
"priceId": "<string>"
}
],
"planVersionId": "<string>",
"adjustments": [
{
"type": "percentageDiscount",
"percentageDiscount": "<string>",
"effectiveFrom": "2023-11-07T05:31:56Z",
"effectiveTo": "2023-11-07T05:31:56Z",
"description": "<string>",
"idempotencyKey": "adj_fy26_growth_001"
}
]
},
"amendedFields": [
"<string>"
],
"refusedResync": {
"receivedAt": "2023-11-07T05:31:56Z",
"code": "SUBSCRIPTION_PROPOSAL_RESYNC_CONFLICT",
"fields": [
"<string>"
],
"values": {
"customerId": "<string>",
"name": "<string>",
"planId": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"autoCharge": true,
"taxExempt": true,
"endingAt": "2023-11-07T05:31:56Z",
"prefundAmount": "<string>",
"minimumAccountBalance": "<string>",
"redirectUrls": {
"onSuccess": "<string>",
"onFailure": "<string>"
},
"elapsedPeriodBilling": "none",
"billingAnchor": "2023-11-07T05:31:56Z",
"testClockId": "<string>",
"renewalReminderEnabled": true,
"renewalReminderDays": 15,
"paymentTermDays": 182,
"sessionExpiryMinutes": 2,
"versionPolicy": "floating",
"metadata": {},
"changeReason": "commercial",
"changeDescription": "<string>",
"changeMetadata": {},
"addPrices": [
{
"priceId": "<string>",
"unitPrice": "<string>",
"baseQuantity": "<string>",
"total": "<string>",
"installments": 31,
"amounts": [
"<string>"
]
}
],
"overridePrices": [
{
"overridesPriceId": "<string>",
"unitPrice": "<string>",
"baseQuantity": "<string>"
}
],
"removePrices": [
{
"priceId": "<string>"
}
],
"planVersionId": "<string>",
"adjustments": [
{
"type": "percentageDiscount",
"percentageDiscount": "<string>",
"effectiveFrom": "2023-11-07T05:31:56Z",
"effectiveTo": "2023-11-07T05:31:56Z",
"description": "<string>",
"idempotencyKey": "adj_fy26_growth_001"
}
]
},
"credentialId": "<string>"
},
"lockVersion": 123,
"source": "<string>",
"externalReference": {
"provider": "<string>",
"externalId": "<string>"
},
"subscriptionId": "<string>",
"rejectionReason": "price_mismatch",
"rejectionText": "<string>",
"decidedAt": "2023-11-07T05:31:56Z",
"decidedByPrincipalId": "<string>",
"decidedBy": {
"type": "user",
"name": "<string>"
},
"strandedAt": "2023-11-07T05:31:56Z",
"createdByPrincipalId": "<string>",
"createdByCredentialId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"revisions": [
{
"id": "<string>",
"version": 2,
"values": {
"customerId": "<string>",
"name": "<string>",
"planId": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"autoCharge": true,
"taxExempt": true,
"endingAt": "2023-11-07T05:31:56Z",
"prefundAmount": "<string>",
"minimumAccountBalance": "<string>",
"redirectUrls": {
"onSuccess": "<string>",
"onFailure": "<string>"
},
"elapsedPeriodBilling": "none",
"billingAnchor": "2023-11-07T05:31:56Z",
"testClockId": "<string>",
"renewalReminderEnabled": true,
"renewalReminderDays": 15,
"paymentTermDays": 182,
"sessionExpiryMinutes": 2,
"versionPolicy": "floating",
"metadata": {},
"changeReason": "commercial",
"changeDescription": "<string>",
"changeMetadata": {},
"addPrices": [
{
"priceId": "<string>",
"unitPrice": "<string>",
"baseQuantity": "<string>",
"total": "<string>",
"installments": 31,
"amounts": [
"<string>"
]
}
],
"overridePrices": [
{
"overridesPriceId": "<string>",
"unitPrice": "<string>",
"baseQuantity": "<string>"
}
],
"removePrices": [
{
"priceId": "<string>"
}
],
"planVersionId": "<string>",
"adjustments": [
{
"type": "percentageDiscount",
"percentageDiscount": "<string>",
"effectiveFrom": "2023-11-07T05:31:56Z",
"effectiveTo": "2023-11-07T05:31:56Z",
"description": "<string>",
"idempotencyKey": "adj_fy26_growth_001"
}
]
},
"createdAt": "2023-11-07T05:31:56Z",
"createdByCredentialId": "<string>"
}
]
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}Query Parameters
Response
Subscription proposal
A subscription a client proposed, held until a person approves or rejects it. No subscription exists until it is approved.
Was this page helpful?